ImagickDraw::setStrokeColor
ImagickDraw::setStrokeDashOffset
The ImagickDraw class
PHP Manual

# ImagickDraw::setStrokeDashArray

(No version information available, might be only in CVS)

ImagickDraw::setStrokeDashArray — Specifies the pattern of dashes and gaps used to stroke paths

### Description

bool ImagickDraw::setStrokeDashArray ( array `$dashArray` )
Warning

This function is currently not documented; only its argument list is available.

Specifies the pattern of dashes and gaps used to stroke paths. The strokeDashArray represents an array of numbers that specify the lengths of alternating dashes and gaps in pixels. If an odd number of values is provided, then the list of values is repeated to yield an even number of values. To remove an existing dash array, pass a zero number_elements argument and null dash_array. A typical strokeDashArray_ array might contain the members 5 3 2.

### Parameters

`dashArray`

  array of floats

### Return Values

Returns `TRUE` on success.

ImagickDraw::setStrokeColor
ImagickDraw::setStrokeDashOffset
The ImagickDraw class
PHP Manual